Next: fmin, Previous: fma, Up: Math

### 1.22 `fmax`, `fmaxf`–maximum

Synopsis

         #include <math.h>
         double fmax(double x, double y);
         float fmaxf(float x, float y);

Description
The `fmax` functions determine the maximum numeric value of their arguments. NaN arguments are treated as missing data: if one argument is a NaN and the other numeric, then the `fmax` functions choose the numeric value.

Returns
The `fmax` functions return the maximum numeric value of their arguments.

Portability
ANSI C, POSIX.